summaryrefslogtreecommitdiffstats
path: root/bootstrap/ubuntu1004_bootstrap.sh
diff options
context:
space:
mode:
authorJohanna Aijala <johanna.aijala@digia.com>2012-08-31 14:52:44 +0300
committerQt by Nokia <qt-info@nokia.com>2012-09-04 02:34:42 +0200
commita20147ac63548c12a589c2b96ac5187ca40a4c0f (patch)
treeb57c3da5948ca5b0fab31fafb275a989fbf4312b /bootstrap/ubuntu1004_bootstrap.sh
parentcf0db4b69b7c157df3e9b27201d09a6a83c61354 (diff)
Puppet version update.
This change is needed for puppet version update for Ubuntu 10.04. Change-Id: Ie2112910d327db4ebb24f5a837f81a51a4eb0619 Reviewed-by: Rohan McGovern <rohan.mcgovern@nokia.com>
Diffstat (limited to 'bootstrap/ubuntu1004_bootstrap.sh')
-rwxr-xr-xbootstrap/ubuntu1004_bootstrap.sh26
1 files changed, 20 insertions, 6 deletions
diff --git a/bootstrap/ubuntu1004_bootstrap.sh b/bootstrap/ubuntu1004_bootstrap.sh
index 0ed34c1..36f7b01 100755
--- a/bootstrap/ubuntu1004_bootstrap.sh
+++ b/bootstrap/ubuntu1004_bootstrap.sh
@@ -16,19 +16,33 @@ fi
set -e
set -x
+if ! test -e /usr/bin/git; then
+ echo Installing git...
+ apt-get -y -o DPkg::Options::=--force-confnew install git-core
+else
+ echo git is already installed
+fi
+
+PUPPETLIST_FILE=/etc/apt/sources.list.d/bootstrap-puppet.list
+if ! test -e $PUPPETLIST_FILE; then
+ echo Setting up bootstrap-puppet.list...
+ echo -e 'deb http://apt.puppetlabs.com/ lucid main\ndeb-src http://apt.puppetlabs.com/ lucid main' > $PUPPETLIST_FILE
+ apt-key adv --keyserver keyserver.ubuntu.com --recv 4BD6EC30
+ apt-get update
+else
+ echo bootstrap-puppet.list already exist
+fi
+
+
if ! test -e /usr/bin/puppet; then
echo Installing puppet...
apt-get -y -o DPkg::Options::=--force-confnew install puppet
+ rm -f $PUPPETLIST_FILE
else
echo puppet is already installed
fi
-if ! test -e /usr/bin/git; then
- echo Installing git...
- apt-get -y -o DPkg::Options::=--force-confnew install git-core
-else
- echo git is already installed
-fi
+
if ! test -d /var/qtqa/sysadmin; then
echo "Grabbing $REPO ..."